Subject: Re: Bad escapes in ip -online

From: Stephen Hemminger <[email-masked]>
Date: Thu, 7 Sep 2017 09:56:21 -0700

On Thu, 7 Sep 2017 12:08:56 -0400
John Kodis <[email-masked]> wrote:

> The -online option to the 'ip link', 'ip addr', and perhaps others is 
> putting out a backslash in places where a newline character should go, 
> as so:
> 
> 1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode 
> DEFAULT group default qlen 1000\    link/loopback 00:00:00:00:00:00 brd 
> 00:00:00:00:00:00
> 
> -- John.
> 

The backslash is the virtual line separator in the one line format.
It is has always been that way, and programs parse the oneline output.